[ask] cara mengatasi eror libc.so.6 ?

Discussion in 'Software Hosting dan Control Panel' started by godeanjogja, 23 Jul 2013.

Thread Status:
Not open for further replies.
  1. godeanjogja

    godeanjogja Beginner 1.0

    Messages:
    18
    Likes Received:
    1
    Trophy Points:
    3
    mohon maaf dan semoga mastah2 disini berkenan menjawab pertanyaan dari saya seorang newbie

    saya mencoba install gwan, tapi terjadi masalah berupa libc.so.6: version 'GLIBC_2.10' not found
    saat saya cek, versi yang terinstall terlihat sudah lebih tinggi
    tapi saat saya cari filenya yang bernama persis sebagai libc.so.6 memang tidak ada

    mohon petunjuk dari mastah2. terima kasih sebelumnya
     
  2. galuh82

    galuh82 Hosting Guru Web Hosting (Company)

    Messages:
    2,514
    Likes Received:
    186
    Trophy Points:
    63
    coba install saja paket rpmnya, bisa coba google pake keyword "libc.so.6"

    gut lak ..
     
  3. mustafaramadhan

    mustafaramadhan Hosting Guru

    Messages:
    3,237
    Likes Received:
    857
    Trophy Points:
    113
    Bukannya ini bawaan glibc?. Kalau di Centos bisa diinstall dengan 'yum install glibc'.

    Rasanya merupakan dependency dari gcc yang bisa diinstall dengan 'yum install gcc*'.
     
  4. godeanjogja

    godeanjogja Beginner 1.0

    Messages:
    18
    Likes Received:
    1
    Trophy Points:
    3
    tetap gak bisa Tuan. muncul eror kayak biasanya:
    ./gwan: /lib/libc.so.6: version `GLIBC_2.10' not found (required by ./gwan)

    silahkan dicoba langsung Tuan kalau berkenan. gak ada ruginya. ini saya perlihatkan hal yang menarik minat saya terhadap gwan. barangkali mastah2 juga tertarik mempelajari dan mencobanya

    Bahasa pemrograman yang didukung
    lang.png

    Performance
    performance.png
     
  5. mustafaramadhan

    mustafaramadhan Hosting Guru

    Messages:
    3,237
    Likes Received:
    857
    Trophy Points:
    113
    Coba saja lihat di /lib atau /lib64 apa file ini ada.

    Di Server saya dianya ada di /lib64 (karena memang pakai centos 6 64bit) dan merupakan symlink dari /lib64/libc-2.12.so.
     
  6. godeanjogja

    godeanjogja Beginner 1.0

    Messages:
    18
    Likes Received:
    1
    Trophy Points:
    3
    saya juga sudah coba install di centos 64bit juga gak bisa Tuan. saya sendiri gak tahu kira2 yang cocok pakai OS apa untuk instalasi gwan

    sudah saya coba juga membuat symlink
    sudo ln -s /lib/i386-linux-gnu/libc.so.6 /lib/libc.so.6

    terakhir saya coba install
    yum groupinstall 'Development Tools' -y
    yum groupinstall 'Development Libraries' -y

    saya pikir itu bisa melengkapi file-file yang diperlukan gwan untuk instalasi. itu juga tetap saja tidak bisa install gwan.
    baru mikir-mikir lagi sambil googling. kira-kira apa lagi yang akan saya coba
     
  7. mustafaramadhan

    mustafaramadhan Hosting Guru

    Messages:
    3,237
    Likes Received:
    857
    Trophy Points:
    113
    Belajar compile rpms tidak bisa sehari-dua.

    Saya merasa cukup mahir setelah berjibaku 1/2 tahun sediakan rpms untuk Kloxo-MR.
     
  8. godeanjogja

    godeanjogja Beginner 1.0

    Messages:
    18
    Likes Received:
    1
    Trophy Points:
    3
    akhirnya ketemu juga solusinya Tuan. setelah ganti os dari centos ke debian, eror libc.so.6 tidak ditemukan dan ketemu eror jenis lainnya. tapi bisa diatasi dengan menginstal ia32. gwan sudah saya coba. untuk file-file statis lancar jaya.

    sekarang ketemu masalah lain, untuk menjalankan script php belum ketemu caranya
     
Loading...
Thread Status:
Not open for further replies.

Share This Page

Loading...